Subject: Re: [PATCH net-next v3 03/10] net/sched: cls_flower: prepare fl_{set,dump}_key_flags() for ENC_FLAGS

From: Jakub Kicinski <[email-masked]>
Date: Fri, 12 Jul 2024 22:15:22 -0700

On Sat, 13 Jul 2024 01:14:57 +0000 Asbjørn Sloth Tønnesen wrote:
> After propagating tca[TCA_OPTIONS] through:
> 
> Netlink error: Invalid argument
> nl_len = 76 (60) nl_flags = 0x300 nl_type = 2
>          error: -22
>          extack: {'msg': 'Missing flags mask', 'miss-type': 111, 'miss-nest': 56}
> 
> In v4, I have added the propagation as the last patch.

Sorry for the misdirection, I realized this morning that the Python
code can't descend at all. I only implemented decoding missing attrs
to names if they are at the root level. C YNL code can decode.. but 
it can only do genetlink.. :)